QGIS Plugin Site - Bug report #8928
Wrong qgisMaximumVersion
2013-10-22 06:09 AM - Pirmin Kalberer

Status: Closed

Priority: Normal
Assignee: Alessandro Pasotti
Category:

Pull Request or Patch supplied:
Description

Hi Allessnadro,

I've uploaded two plugins with minimum Version 1.8 and maximum Version 2.99. But both display maximum Version 1.99.

http://plugins.qgis.org/plugins/remotedebug/version/0.2.0/
https://github.com/sourcepole/qgis-remote-debug/blob/master/RemoteDebug/metadata.txt

http://plugins.qgis.org/plugins/qgiscloud/version/0.11.0/
https://github.com/qgiscloud/qgis-cloud-plugin/blob/master/qgiscloud/metadata.ixt

Anything | can do?

Regards
Pirmin

History

#1 - 2013-10-28 07:00 AM - Pirmin Kalberer

Thanks for integrating my pull request. When is the server update planned?

#2 - 2013-10-28 07:07 AM - Alessandro Pasotti

| can correct that single line by hand if you need it.

The plugin site is using a very old code base and | do not want to maintain it anymore.

In Brighton we have spent the whole HF migrating to the latest Django and rewrote all the templates to bootstrap, so the new plugin website is a zillion of
commits ahead of the old one.

AFAIK, Tim is working on the installation with the new server. This bug fix has been applied to HEAD so that will be readily available in the new website.

#3 - 2013-10-28 08:08 AM - Pirmin Kalberer

That would help a lot. We have several plugins which are 1.8/2.0 compatible and more are coming (e.g. WPS client).

#4 - 2013-10-29 12:08 AM - Alessandro Pasotti

- Status changed from Open to Resolved
Fix applied, please test.

#5 - 2014-02-13 12:41 PM - Jiirgen Fischer

- Status changed from Resolved to Closed

#6 - 2014-02-13 11:59 PM - Pirmin Kalberer
- Status changed from Closed to Reopened
- Priority changed from High to Normal

My fix didn't help. See e.g.
http://plugins.qgis.org/plugins/qgiscloud/version/0.11.5/

#7 - 2014-02-14 07:20 AM - Alessandro Pasotti

- Status changed from Reopened to Closed

Please test now.

#8 - 2014-02-18 02:29 AM - Pirmin Kalberer

My colleage successfully uploaded a 1.8/2.0 compatible plugin:
http://plugins.qgis.org/plugins/wps/version/2.0.2/
Thanks!
